require.paths 在哪个版本被移除的?
发布于 11 年前 作者 jin52yang 5027 次浏览 最后一次编辑是 6 年前

require.paths 在哪个版本被移除的?

5 回复

我也想知道

好像是0.5系列开始

我是挖链接的…
11 个月前说 isaacs 会在 5.0 移除: https://github.com/joyent/node/issues/1348
提到了移除的原因:
http://nodejs.org/docs/v0.4.10/api/modules.html#loading_from_the_require.paths_Folders
9 个月前说已经移除了: https://github.com/joyent/node/issues/1773
翻对应时间的 commit 找到移除的 https://github.com/joyent/node/commit/c050d0fa19a2dbb34e1e99403b597a5e8e51b6e5
https://github.com/joyent/node/commit/bf0802402d52f0ca78885f579b91014a859939d5
时间在 Now working on v0.5.3Bump version to v0.5.3 的 commit 之间…

高人啊,厉害

谢谢!

回到顶部